Loading...
Searching...
No Matches
rpminfo_probe.c File Reference

rpminfo probe More...

`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <assert.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <regex.h>`
`#include "rpm-helper.h"`
`#include "_seap.h"`
`#include <probe-api.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "probe/entcmp.h"`
`#include "common/debug_priv.h"`
`#include "rpminfo_probe.h"`
Include dependency graph for rpminfo_probe.c:

## Data Structures

struct | rpminfo_req
struct | rpminfo_rep

## Macros

#define | RPMINFO_LOCK RPM_MUTEX_LOCK(&g_rpm->mutex)
#define | RPMINFO_UNLOCK RPM_MUTEX_UNLOCK(&g_rpm->mutex)

## Functions

int | rpminfo_probe_offline_mode_supported ()
void * | rpminfo_probe_init (void)
void | rpminfo_probe_fini (void *ptr)
int | rpminfo_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

rpminfo probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a rpminfo_object as defined in OVAL 5.4 and 5.5.